<?php


/*
 * @author Momax GmbH
 * @copyright 2010
 * Script kann frei verwendet werden. Eine Haftung der Momax GmbH ist ausgeschlossen.
 *
 *
 * DAS FOLGENDE SCRIPT ERZEUGT EINEN MINIPAY-KAUF-BUTTON BZW LINK
 * BITTE SORGFLTIG ALLE AUFRUFPARAMETER SETZEN
 * EINE GENAUE BESCHREIBUNG FINDET SICH IN DER MINIPAY-SCHNITTSTELLENBESCHREIBUNG
 */


//Speicherort der miniPay-Library
$minipayLibraryPath="minipay_lib.php";


//IHRE KUNDENDATEN
$oid="";	//Ihre miniPay-Kundennummer
$sec="";	//Ihr miniPay-Security-String

$params=array(

	//PFLICHT-PARAMETER 
	'shopDomain'=>"www.ihre-domain.de",	//auf welcher Domain ist Bezahhlink integriert?
	'offerType'=>"sale",	//bei Verkufen 'sale', bei Dienstleistungen 'service'
	'productName'=>"Test-Artikel",	//Wie heit der Artikel?
	'price'=>"0.99",	//Preis des Artikels fr Endkunden (brutto)
	'tax'=>"19.0",	//Mehrwertsteuersatz (in Prozent)
	'url'=>"http://www.ihre-domain-oder-ip.de/bezahlter-inhalt",	//Url, die nach Bezahlung an Kunden ausgeliefert werden soll
	
	//OPTIONALE PARAMETER (bitte Schnittstellenbeschreibung lesen!)
	'testmode'=>1,
	'useProxy'=>null,
	'username'=>null,
	'password'=>null,
	'maxDownloadNumber'=>null,
	'maxDownloadDuration'=>null,
	'fileType'=>null,
	'template'=>null,
	'processId'=>null,
	'customer_email'=>null,
	'customer_phone'=>null,
	'customer_name'=>null,
	'customer_account'=>null,
	'customer_bankcode'=>null,
);

//miniPay-Library einbinden
require_once($minipayLibraryPath);

//onclick-Event des Bezahl-Links erzeugen
$minipayCall=getMinipayCall('button_short',$oid,$sec,$params);

?>


<h1>Test einer miniPay-Einbindung via Kauf-Button</h1>

<!-- Einmalig auf der Seite die miniPay-Javascript-Datei einbinden -->
<script type="text/javascript" src="https://www.minipay.de/capp/javascripts/minipay"></script>

<!-- Link zum bezahlen -->
<a onclick="<?=$minipayCall?>" href="https://www.minipay.de/info/sicher_bezahlen.htm">BUTTON ODER LINK ZUM BEZAHLEN</a>


